> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Country Details

> Returns comprehensive details about a specific country including supported currencies, networks, and service availability. The isEnabled flag indicates whether the authenticated integrator has each service enabled and providers attached.

Get comprehensive details about a specific country including supported currencies, networks, banks, and service availability.


## OpenAPI

````yaml GET /api/v3/customer/support/countries/{countryCode}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/customer/support/countries/{countryCode}:
    get:
      tags:
        - CUSTOMER - COUNTRY SUPPORT
      summary: Get detailed country information
      description: >-
        Returns comprehensive details about a specific country including
        supported currencies, networks, and service availability. The isEnabled
        flag indicates whether the authenticated integrator has each service
        enabled and providers attached.
      operationId: CountrySupportController_getCountryDetails_api/v3
      parameters:
        - name: countryCode
          required: true
          in: path
          description: Country code (e.g., KE, NG, GH)
          schema:
            example: KE
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Country details retrieved successfully
                  data:
                    $ref: e52195c2-0be2-4a18-9be7-6be667a0c2f9
                    type: object
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Country not found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````